Bug 124053 - USB scanner not handled by hotplug at startup
USB scanner not handled by hotplug at startup
Status: CLOSED DUPLICATE of bug 121511
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
: 126508 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 09:19 EDT by Klaus-Peter Schrage
Modified: 2014-03-16 22:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:03:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus-Peter Schrage 2004-05-23 09:19:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
My USB scanner AGFA SNAPSCAN 1212U_2 is well handled by hotplug if
plugged in AFTER system startup and user login.
But when the scanner is running BEFORE booting, permissions in
/proc/bus/usb/xyz are not set appropriately so that a normal user
might run it.


Version-Release number of selected component (if applicable):
hotplug-2004_04_01-1

How reproducible:
Always

Steps to Reproduce:
1. Connect and switch on scanner
2. Boot & log in as normal user
3. scanimage -L
    

Actual Results:  
No scanners were identified.

Expected Results:  
device `snapscan:libusb:002:002' is a AGFA SNAPSCAN 1212U_2 flatbed
scanner

Additional info:

As /etc/hotplug/usb/libusbscanner gives the ownership of $DEVICE to
$CONSOLEOWNER, permissions aren't set before any login. This could be
fixed by simply setting 'chmod 0666 "$DEVICE"' in the libusbscanner
script. I can't imagine any bad security risks about that ...
Comment 1 Dennis Björklund 2004-06-29 03:05:20 EDT
I have the same problem with my Epson Perfection 1240. I had no
problems in FC1.
Comment 2 Carlos Rodrigues 2004-07-06 13:21:48 EDT
Having this very same problem with a Mustek Bearpaw 1200. I disagree
that the severity is low.
Comment 3 Carlos Rodrigues 2004-07-09 16:49:14 EDT
This should be changed to sane-backends since
/etc/hotplug/usb/libusbscanner (and usbcam, which is less conspicuous
because most people use digital cameras as usb-storage devices and/or
connect them after login) belongs to this package.
Comment 4 Rodrigo Damazio 2004-07-10 17:38:30 EDT
I suppose this is the same as bug #122595.
Comment 5 Bill Nottingham 2004-08-03 12:51:45 EDT
*** Bug 126508 has been marked as a duplicate of this bug. ***
Comment 6 Bill Nottingham 2005-02-04 16:06:37 EST

*** This bug has been marked as a duplicate of 121511 ***
Comment 7 Red Hat Bugzilla 2006-02-21 14:03:36 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.